KHTMLSettings class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KHTMLSettings Class Reference

Settings for the HTML view. More...

`#include <khtml_settings.h>`

Collaboration diagram for KHTMLSettings:

[legend]
List of all members.

## Public Types
enum | KJavaScriptAdvice { KJavaScriptDunno = 0, KJavaScriptAccept, KJavaScriptReject }
| This enum specifies whether Java/JavaScript execution is allowed. More...
enum | KAnimationAdvice { KAnimationDisabled = 0, KAnimationLoopOnce, KAnimationEnabled }
## Public Member Functions
| KHTMLSettings (const KHTMLSettings &other)
void | init ()
| Called by constructor and reparseConfiguration.
void | init (KConfig *config, bool reset=true)
| Read settings from `config`.
virtual | ~KHTMLSettings ()
| Destructor.
bool | changeCursor () const
bool | underlineLink () const
bool | hoverLink () const
KAnimationAdvice | showAnimations () const
QString | stdFontName () const
QString | fixedFontName () const
QString | serifFontName () const
QString | sansSerifFontName () const
QString | cursiveFontName () const
QString | fantasyFontName () const
void | setStdFontName (const QString &n)
void | setFixedFontName (const QString &n)
int | minFontSize () const
int | mediumFontSize () const
const QString & | encoding () const
const QColor & | textColor () const
const QColor & | linkColor () const
const QColor & | vLinkColor () const
bool | autoLoadImages () const
bool | isBackRightClickEnabled ()
bool | isJavaEnabled (const QString &hostname=QString::null)
bool | isJavaScriptEnabled (const QString &hostname=QString::null)
bool | isJavaScriptDebugEnabled (const QString &hostname=QString::null)
bool | isPluginsEnabled (const QString &hostname=QString::null)
QString | settingsToCSS () const
QString | userStyleSheet () const
bool | isFormCompletionEnabled () const
int | maxFormCompletionItems () const
bool | isAutoDelayedActionsEnabled () const
## Static Public Member Functions
KJavaScriptAdvice | strToAdvice (const QString &_str)
void | splitDomainAdvice (const QString &configStr, QString &domain, KJavaScriptAdvice &javaAdvice, KJavaScriptAdvice &javaScriptAdvice)
const char * | adviceToStr (KJavaScriptAdvice _advice)
const QString & | availableFamilies ()
## Friends
class | KHTMLFactory

## Detailed Description

Settings for the HTML view.

Definition at line 35 of file khtml_settings.h.

## Member Enumeration Documentation

enum KHTMLSettings::KJavaScriptAdvice

| This enum specifies whether Java/JavaScript execution is allowed. Definition at line 42 of file khtml_settings.h. Referenced by init().

## Constructor & Destructor Documentation

KHTMLSettings::~KHTMLSettings | ( |  | ) | `[virtual]`

| Destructor. Don't delete any instance by yourself. Definition at line 138 of file khtml_settings.cc.

## Member Function Documentation

void KHTMLSettings::init | ( |  | ) |

| Called by constructor and reparseConfiguration. Definition at line 158 of file khtml_settings.cc. References KGlobal::config().

void KHTMLSettings::init | ( | KConfig * | config,
|  | bool | reset = true
| ) |

  | Read settings from `config`. Parameters:
  reset | if true, settings are always set; if false, settings are only set if the config file has a corresponding key.
Definition at line 170 of file khtml_settings.cc. References KLocale::encoding(), QFont::family(), KGlobalSettings::fixedFont(), QString::fromLatin1(), KGlobalSettings::generalFont(), KConfigBase::group(), KConfigBase::hasGroup(), KConfigBase::hasKey(), KJavaScriptAdvice, KGlobal::locale(), QString::lower(), KConfigBase::readBoolEntry(), KConfigBase::readColorEntry(), KConfigBase::readEntry(), KConfigBase::readListEntry(), KConfigBase::readNumEntry(), KConfigBase::setGroup(), and KConfigBase::writeEntry().

The documentation for this class was generated from the following files:

- khtml_settings.h
- khtml_factory.cpp
- khtml_settings.cc

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:04 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001